Package org.apache.tomcat.websocket

## Class WsIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.tomcat.websocket.WsIOException

All Implemented Interfaces:
  `Serializable`

    public class WsIOException
    extends IOException

Allows the WebSocket implementation to throw an `IOException` that includes a `CloseReason` specific to the error that can be passed back to the client.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`WsIOException​(CloseReason closeReason)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CloseReason` `getCloseReason()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WsIOException

    public WsIOException​(CloseReason closeReason)

### Method Detail

#### getCloseReason

    public CloseReason getCloseReason()